Nintendo DSi update 1.4.2C = 1.4.1U ?

Discussion in 'User Submitted News' started by Costello, Sep 9, 2010.

  1. Costello
    OP

    Costello Headmaster

    Administrator
    12,393
    5,640
    Oct 24, 2002
    EDIT: sources contradict each other. Some claim that the update blocks the remaining cards, some claim that the cards still work and that the 1.4.2C is the asian equivalent to the 1.4.1U. So take the following with a with a grain of salt.

    Edit 2: the EZ-Flash Vi team confirmed that firmware 1.4.2C could be identical to the 1.4.1U one. The EZ-Flash Vi still works on it and they have released a video to prove it.




    ---------
    In the previous thread we informed you of a new DSi system update that blocked the most popular flashcarts, but strangely a few were spared such as the EZ-Flash Vi, the iSmart Premium, Hyper R4i and a few others.

    Well, it didn't take long for Nintendo to notice and release another update, DSi firmware version 1.4.2C. A few users in Asia and Europe have confirmed the update, though it doesn't seem to have spread to other parts of the world yet. This update is known to block all the remaining flashcarts, including the EZ-Flash Vi, iSmart Premium, R4i and everything.

    Great job Nintendo, now hopefully for you this update will hold a little longer than the previous ones. Flashcart teams are already racing to release fixes, we are likely to revive the same situation as last time (R4i SDHC Gold Hyper 1.4.2C anyone? [​IMG] )
     


  2. DeltaBurnt

    DeltaBurnt I'm bored

    Member
    3,353
    2
    Feb 21, 2009
    United States
    Where intellect matters
    Is there a reason for the C after 1.4.2?
     
  3. Joktan

    Joktan GBAtemp Advanced Fan

    Member
    665
    1
    Apr 5, 2010
    United States
    In a big mansion...in Rancoon
    13 months of nothing...then unleash 2updates in a matter of hours...wow..
     
  4. basher11

    basher11 GBAtemp's Official Vocaloid Lover

    Member
    4,385
    128
    Jun 29, 2009
    United States
    i totally see this coming [​IMG]
     
  5. Phoenix Goddess

    Phoenix Goddess The Ninja's Protégée

    Member
    3,810
    893
    Apr 25, 2009
    United States
    Away from civilization.
    Haha, I suppose Nintendo didn't want Sony to be the only company blocking piracy.
     
  6. RoMee

    RoMee ??

    Member
    2,316
    61
    Sep 3, 2010
    United States
    ??
    question is now...who will be the first to fix these latest update?
     
  7. TheDestroyer

    TheDestroyer GBAtemp's Official Keyblade Master™

    Member
    587
    1
    May 5, 2009
    United States
    My Destroyed Village
    That probably meant.. "1.4.2C-urse you flashcarts!" lol [​IMG]

    I am not going to update anyway so, and I got like 0 DSi Points..
     
  8. Scott-105

    Scott-105 Bow to me. Please?

    Member
    2,959
    68
    Aug 23, 2009
    Canada
    Ontario, Canada
    Heh, wow. Well, either way, I'm not updating.
     
  9. Ethanx94

    Ethanx94 GBAtemp Regular

    Member
    279
    9
    Aug 8, 2007
    United States
    In the parallel dimension
    Me thinks the original update was to lure unsuspecting folks into a false sense of security then when they got around to updating they wouldn't look at the version number and get screwed.
     
  10. Canonbeat234

    Canonbeat234 Redeemed Temper

    Member
    2,278
    28
    Sep 24, 2008
    Lawl, Nintendo is showing they can too block piracy. This might be about PKMN black and white, I bet you on that one.

    However, I won't buy any more PKMN games after HG/SS.
     
  11. iFish

    iFish Slower than a 90s modem

    Member
    4,223
    159
    Jul 11, 2009
    Canada
    Montreal, QC
    Nintendo is trying..... Can't blame people for trying to stop piracy.

    Meh. Glad i have a DS lite

    Wait.... But how can they block this exploit without blocking the game it acts as?
     
  12. TeenDev

    TeenDev GBAtemp's Original Hipster

    Member
    633
    0
    Apr 29, 2007
    United States
    $20 says Nintendo reads GBAtemp and saw the list of confirmed working.


    HI NINTENDO. HIRE ME AS A DEVELOPER.
     
  13. DigitalDeviant

    DigitalDeviant GBAtemp Addict

    Member
    2,002
    60
    Feb 14, 2010
    United States
    Solar Federation
    No worries as long as you don't update.

    off topic sorta,

    can't wait for the 3ds I'll actually buy a game as usually do for a launch system.
     
  14. Ryukouki

    Ryukouki See you later, guys.

    Member
    4,949
    2,614
    Jan 31, 2008
    United States
    [​IMG] As long as I can play Black and White, fine.
     
  15. ignance

    ignance Member

    Newcomer
    15
    0
    May 3, 2009
    United States

    Keep telling yourself that. You probably said the same thing when they released Ruby/Sapphire.

    Two points of order:

    1. The truly addicted will not stop playing Pokémon. Someday the well will run dry. Not soon, but someday. Until then, the temptation of catching a grass monkey and a chinchilla is simply too tempting.

    2. I'm starting to think this blocking party is genuinely about the new Pokémon. This again makes me glad I got a pre-order in for both.

    3. I still am not totally convinced that there's something wonderful waiting in 1.4 that isn't being properly exploited. And I'll continue saying that till I'm proven otherwise.
     
  16. o2oxygen

    o2oxygen GBAtemp Regular

    Member
    136
    0
    May 20, 2009
  17. ChuckBartowski

    ChuckBartowski GBATemp Nerd Herd Specialist

    Member
    917
    2
    May 31, 2009
    United States
    Burbank, CA
    Anyone completely sure on how this update works yet? Im interested. They must be doing better checks. Also, anyone have the real games the blocked cards use, just to make sure [​IMG]
     
  18. tk_saturn

    tk_saturn GBAtemp Psycho!

    Member
    3,327
    14
    Jan 26, 2010
    China.

    I've not seen anyone confirm there's a 1.4.2E...
     
  19. EZ-Flash2

    EZ-Flash2 Member

    Newcomer
    36
    52
    Jul 16, 2003
    Switzerland
    comfirmed, the 1.4.2C is on the iQue DSi. I think it equal the 1.4.1U.

    EZVi , iSmart DS, HyperR4i with the newest firmware are workable. not blocked
     
  20. Lushay

    Lushay GBAtemp Regular

    Member
    192
    52
    Mar 15, 2009
    United States
    Shibuya-cho
    Tu shay, Nintendo. I wonder if they'll do this every time some form of patch is released. DSi 1.4.9.3.5U